Page MenuHomePhabricator

[mlir][EDSC] Refactor dependencies involving EDSCs.
ClosedPublic

Authored by nicolasvasilache on Jan 9 2020, 2:29 PM.

Details

Summary

This diff removes the dependency of LinalgOps and VectorOps on EDSCs.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptJan 9 2020, 2:30 PM

Unit tests: unknown.

clang-tidy: fail. Please fix clang-tidy findings.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: diff.json, clang-tidy.txt, clang-format.patch, CMakeCache.txt, console-log.txt

jpienaar marked an inline comment as done.Jan 10 2020, 9:41 AM

This is mostly a mechanical move or is there anything new to look at, correct?

It seems a clang-format of the diff is needed.

mlir/lib/Dialect/Linalg/EDSC/Builders.cpp
53–54

[for follow up] I read exit and was thinking std::exit here. Could we do exitBlock maybe? That way its clearer locally.

nicolasvasilache marked an inline comment as done.Jan 12 2020, 8:26 PM

Yes it is NFC, just marked it as such.
Fixed the formatting issue, thanks!

mlir/lib/Dialect/Linalg/EDSC/Builders.cpp
53–54

Ack, will do as a followup.

nicolasvasilache removed subscribers: aartbik, liufengdb.

Fix formatting.

All cmake files here are missing target_link_library. Is it intentional?

mlir/lib/Dialect/Linalg/CMakeLists.txt
0–1

This may also need MLIRIR

mlir/lib/Dialect/Linalg/EDSC/CMakeLists.txt
11

This also needs MLIRLoopOps and any other library it uses

Update build rules.

nicolasvasilache marked 4 inline comments as done.Jan 13 2020, 12:14 PM
nicolasvasilache added inline comments.
mlir/lib/Dialect/Linalg/CMakeLists.txt
0–1

done and tested by compiling targets independently, this surfaced a bunch of issues that are now fixed, thanks!

mlir/lib/Dialect/Linalg/EDSC/CMakeLists.txt
11

done and tested by compiling targets independently, this surfaced a bunch of issues that are now fixed, thanks!

Unit tests: pass. 61794 tests passed, 0 failed and 781 were skipped.

clang-tidy: unknown.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

nicolasvasilache marked 2 inline comments as done.

clang-format

Unit tests: pass. 61794 tests passed, 0 failed and 781 were skipped.

clang-tidy: unknown.

clang-format: pass.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

ftynse accepted this revision.Jan 14 2020, 11:50 PM
This revision is now accepted and ready to land.Jan 14 2020, 11:50 PM
This revision was automatically updated to reflect the committed changes.